import request from '@/utils/request'

// 查询重点项目管理列表
export function listARTICLE(query) {
  return request({
    url: '/ARTICLE/list',
    method: 'get',
    params: query
  })
}

// 查询重点项目管理所有列表
export function listAllARTICLE(query) {
  return request({
    url: '/ARTICLE/listAll',
    method: 'get',
    params: query
  })
}

// 查询重点项目管理详细
export function getARTICLE(id) {
  return request({
    url: '/ARTICLE/getInfo/' + id,
    method: 'get'
  })
}

// 新增重点项目管理
export function addARTICLE(data) {
  return request({
    url: '/ARTICLE/add',
    method: 'post',
    data: data
  })
}

// 修改重点项目管理
export function updateARTICLE(data) {
  return request({
    url: '/ARTICLE/edit',
    method: 'post',
    data: data
  })
}

// 删除重点项目管理
export function delARTICLE(id) {
  return request({
    url: '/ARTICLE/remove/' + id,
    method: 'get'
  })
}
// 获取用户信息   用来查询列表和新增
export function getUserInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}


// 查看填报详情
export function getPriceInfo(id) {
  return request({
    url: '/ARTICLE/getPriceInfo/'+id,
    method: 'get',
  })
}
// 数据填报
export function addDATAFILLING(data) {
  return request({
    url: '/DATAFILLING/add',
    method: 'post',
    data:data
  })
}
// 修改提交审核
export function audit(data) {
  return request({
    url: '/ARTICLE/audit',
    method: 'post',
    data:data
  })
}



